<script>
@#page-include#(canvasActRegUtil.js)
@#page-include#(numbersUtil.js)
@#page-include#(coderDecoder.js)
</script>
<script>
  var konfiguracija = @#raw-text#(jsinitdata);
</script>

<form id="mojFormular">
<div class="mlQuestionText">
  <div>Na raspolaganju Vam je ispisna memorija (ROM) \(8 \times 2\). Ako se na adresne
       ulaze dovode bitovi A, B i Cin, konfigurirajte memoriju da se može iskoristiti
       kao potpuno binarno zbrajalo (sklop FA), pri čemu se bit sume mora generirati na
       podatkovnom izlazu D1 a bit prijenosa na podatkovnom izlazu D0.
  </div>

<div style="text-align: center; margin-top: 15px; margin-bottom: 15px;">
<canvas id="myCanvas1" width="330" height="290" oncontextmenu="return false;"></canvas>
</div>

<script>
    var koddek = new KoderDekoder(3, 2, "myCanvas1", null, konfiguracija.enteredContent, true, false, ["A","B","Cin"], ["S","Cout"], 15);
</script>

</div>
</form>

<script>
  function questionCollectUserData() {
    return {enteredContent: koddek.getContent()};
  }
</script>

